-- draws enemies from the 'enemies' table to screen
function drawENEMY()
  for i,v in ipairs (enemies) do
 	love.graphics.rectangle("line", v.x, v.y, v.width, v.height) 
	love.graphics.print("enemy: "..v.health, 300,150+(i*10))
  end
end

--creates the collision objects for enemies
--from the 'enemies' table
function collisionENEMY()
	coll = {}
  for i,v in ipairs (enemies) do
	coll[i] = HC.addRectangle(v.x, v.y, v.width, v.height)
	
  end
end

-- draws turrets from 'turrets' table to the screen
function drawTURRET()
  for i,v in ipairs (turrets) do
 	love.graphics.rectangle("fill", v.x, v.y, v.width, v.height) 
  end
end

-- for i,t in ipairs (turrets) do
--    for j,e in ipairs (enemies) do

-- the on collision function in it's current state
function on_collision(dt, shape_a, shape_b)
    text[#text+1] = string.format("Colliding")
    if shape_b == coll[1] then
	    text[#text+1] = string.format("Enemy One Detected!")
    end
    if shape_b == coll[2] then
	    text[#text+1] = string.format("Enemy Two Detected!")
    end
end

--debug scrolling text for collisions
--this should list all collisions that take place
text = {}
function debugUPDATE()
	   while #text > 40 do
        table.remove(text, 1)
    end
end
function debugDRAW()
    for i = 1,#text do
        love.graphics.setColor(255,255,255, 255 - (i-1) * 6)
        love.graphics.print(text[#text - (i-1)], 10, i * 15)
    end
end
--end debug


enemies = {}
	enemy = {}
	enemy.id = test 
	enemy.x = 150
	enemy.y = 150
	enemy.health = 100
	enemy.width = 32
	enemy.height = 32
	table.insert(enemies,enemy)

	enemy = {}
	enemy.id = test2
	enemy.x = 400
	enemy.y = 450
	enemy.health = 100
	enemy.width = 32
	enemy.height = 32
	table.insert(enemies,enemy)


turrets = {}
	turret = {}
	turret.x = 500 
	turret.y = 500
	turret.health = 100
	turret.width = 32
	turret.height = 32
	table.insert(turrets,turret)

	turret = {}
	turret.x = 550 
	turret.y = 500
	turret.health = 100
	turret.width = 32
	turret.height = 32
	table.insert(turrets,turret)

