-- Returns top left point of a tile (x,y)
-- where the input is any point within the tile (x,y)
tileW, tileH = 32,32
function tilepos(x,y)
	return math.floor(x/tileW)*tileW, math.floor(y/tileH)*tileH end

-- Returns the distance between two points.
function distance(x1,y1, x2,y2) 
	return ((x2-x1)^2+(y2-y1)^2)^0.5 end

-- Returns the angle between two points in radians...(?)
function angle(x1,y1, x2,y2) 
	return math.atan2(y2-y1, x2-x1) end

-- Normalize vector between two points, return x,y
function norm(x1,y1, x2,y2)
	local mag = distance(x1,y1, x2,y2) 
	return (x2-x1)/mag, (y2-y1)/mag end

-- Shooting
function shoot(x1,y1, velx, vely)
	bullet {}
		bullet.x = x1
		bullet.y = y1
	end

